%define api		1
%define dbusmajor	0
%define major		1
%define libname		%mklibname %{name} %{major}
%define libdbus		%mklibname %{name}-dbus %{api} %{dbusmajor}
%define develname	%mklibname -d %{name}
%define giolibname	%mklibname gio 2.0 0

%define busname		ca.desrt.dconf-editor

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	An editor for the Dconf configuration system
Name:		dconf-editor
Version:        43.0
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/dconf
BuildRequires:	pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(dconf)
BuildRequires:	pkgconfig(vapigen) >= 0.17.0
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	vala >= 0.17.0
BuildRequires:	intltool
BuildRequires:	appstream-util
BuildRequires:	meson
Requires:	dbus
Requires:	dconf >= 0.23.2

%description
This is a graphical editor for the Dconf configuration system.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

# fix invalid-desktopfile:
# missing semicolon (';') as trailing character for locale string list key "Keywords[ro]"
sed -i -e 's|configurări;configurație;setări"|configurări;configurație;setări;"|' po/ro.po

%build
%meson
%meson_build

%install
%meson_install
#we need this beacuse ibus and gdm installs file there
install -d %{buildroot}%{_sysconfdir}/dconf/db
install -d %{buildroot}%{_sysconfdir}/dconf/profile

%find_lang dconf-editor

%check
%meson_test

%files -f dconf-editor.lang
%{_bindir}/dconf-editor
%{_mandir}/man1/dconf-editor.*
%{_datadir}/applications/%{busname}.desktop
%{_datadir}/bash-completion/completions/dconf-editor
%{_iconsdir}/hicolor/*/*/*dconf-editor*.*
%{_datadir}/metainfo/%{busname}.appdata.xml
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/glib-2.0/schemas/%{busname}.gschema.xml


%changelog
* Mon Sep 19 2022 tv <tv> 43.0-1.mga9
+ Revision: 1890183
- Update to 43.0

* Wed Aug 03 2022 tv <tv> 3.38.3-3.mga9
+ Revision: 1874891
- Fix meson 0.61 errors
- Drop unsupported -Denable-gtk-doc=true option
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Mar 23 2021 ovitters <ovitters> 3.38.3-1.mga9
+ Revision: 1708358
- new version 3.38.3

* Sun Nov 22 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1648528
- new version 3.38.2

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625232
- new version 3.38.0

* Sun Aug 30 2020 tv <tv> 3.37.91-1.mga8
+ Revision: 1619692
- 3.37.91

* Sun Jul 05 2020 ovitters <ovitters> 3.36.4-1.mga8
+ Revision: 1602468
- new version 3.36.4

* Sat Apr 25 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571938
- new version 3.36.2

* Tue Mar 10 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555170
- new version 3.36.0

* Wed Feb 19 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1542742
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1537045
- new version 3.35.91

* Fri Feb 14 2020 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1517076
- new version 3.34.4

* Mon Jan 06 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1476968
- new version 3.34.3

* Mon Oct 07 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1450475
- new version 3.34.2

* Tue Sep 10 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1439183
- new version 3.34.1

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439169
- new version 3.34.0

* Sat Aug 17 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1429531
- new version 3.33.91

* Mon Aug 05 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427555
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392143
- Rebuild with meson 0.50.1

* Tue Mar 12 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374890
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.91-1.mga7
+ Revision: 1372593
- new version 3.31.91

* Tue Sep 25 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1304847
- new version 3.30.2

* Tue Sep 25 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1304771
- new version 3.30.1

* Tue Sep 04 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1257130
- new version 3.30.0

* Mon Aug 27 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1255064
- new version 3.29.92

* Mon Aug 13 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1251349
- new version 3.29.91

* Tue Jul 31 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246447
- new version 3.29.90

* Tue Mar 13 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208871
- new version 3.28.0

* Sat Mar 10 2018 tv <tv> 3.27.92-1.mga7
+ Revision: 1207964
- fix filelist
+ ovitters <ovitters>
- new version 3.27.92
- new version 3.27.91

* Mon Jan 08 2018 ovitters <ovitters> 3.27.3-1.mga7
+ Revision: 1191713
- switch to meson
- new version 3.27.3
- new version 3.26.2

* Mon Oct 02 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1162697
- new version 3.26.1

* Wed Mar 22 2017 ovitters <ovitters> 3.23.4-1.mga6
+ Revision: 1094318
- new version 3.23.4

* Mon Jan 16 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1082047
- new version 3.22.3

* Sun Dec 04 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1071931
- new version 3.22.1

* Thu Oct 06 2016 tv <tv> 3.22.0-1.mga6
+ Revision: 1059219
- fix file list
+ ovitters <ovitters>
- br appstream-util
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.90-1.mga6
+ Revision: 1053983
- new version 3.21.90

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011846
- new version 3.20.2

* Thu Apr 14 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001373
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993841
- new version 3.20.0

* Tue Mar 15 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990749
- new version 3.19.92

* Tue Mar 01 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 981271
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961833
- new version 3.19.90

* Tue Dec 15 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910754
- new version 3.19.3

* Tue Nov 24 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905532
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 904993
- new version 3.19.1

* Thu Nov 12 2015 ovitters <ovitters> 3.18.2-2.mga6
+ Revision: 902770
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890055
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882711
- new release

* Tue Sep 15 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879601
- new version 3.17.92

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871902
- new version 3.17.91

* Wed Aug 19 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865845
- new version 3.17.90

* Sun Jun 21 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 838262
- imported package dconf-editor

